{% extends 'base.html.twig' %}

{% block title %}Liste des personnes
{% endblock %}

{% block body %}
	<div class="example-wrapper">
		<h1>Bienvenue sur la page d'affichage des personnes.</h1>

		<div class="card">
			<div class="card-header">
				Liste des personnes
			</div>
			<div class="card-body">
				<table class="table">
					<thead class="thead-dark">
						<th scope="col">Nom</th>
						<th scope="col">Prenom</th>
						<th scope="col">Date de naissance</th>
						<th scope="col">Age</th>
					</thead>
					<tbody>
					{# |sort('asc') avec twig #}
						{% for personne in personnes %}
							<tr>
								<td>{{ personne.nom }}</td>
								<td>{{ personne.prenom }}</td>
								<td>{{ personne.dateNaissance|date('d/m/Y') }}</td>
								<td>{{ personne.age }}</td>
							</tr>
						{% else %}
							<p>Aucune personnes enregistrées</p>
						{% endfor %}
					</tbody>
				</table>
			</div>
		</div>
	</div>
{% endblock %}
